Subject: Re: [RFC PATCH v7 1/4] arm64: Make all stack walking functions use arch_stack_walk()

From: "Madhavan T. Venkataraman" <[email-masked]>
Date: Thu, 12 Aug 2021 11:30:41 -0500

On 8/12/21 10:23 AM, Mark Brown wrote:
> On Thu, Aug 12, 2021 at 08:24:32AM -0500, [email-masked] wrote:
> 
>> Here is the list of functions:
>>
>> 	perf_callchain_kernel()
>> 	get_wchan()
>> 	return_address()
>> 	dump_backtrace()
>> 	profile_pc()
> 
> I've not actually gone through this properly yet but my first thought is
> that for clarity this should be split out into a patch per user plus one
> to delete the old interface  - I'd not worry about it unless it needs to
> get resubmitted though.
> 

OK. I will address it in the next version.

> It'll definitely be good to get this done!

Yes. Thanks!

Madhavan

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel